GET TaskStatusTypeTaskType?taskStatusTypeTaskTypeId={taskStatusTypeTaskTypeId}&taskStatusTypeId={taskStatusTypeId}&taskTypeId={taskTypeId}

Retrieves a companies task status types to task types association. These are read-only.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
taskStatusTypeTaskTypeId

globally unique identifier

Required

taskStatusTypeId

globally unique identifier

Required

taskTypeId

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

On success, a list of task status types and task types associations

NameDescriptionTypeAdditional information
Data

Collection of TaskStatusTypeTaskType

None.

Total

integer

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Data": [
    {
      "TaskStatusTypeTaskTypeId": "9e21f877-6ef9-4f11-b876-557828db3ce7",
      "CompanyId": "62912545-3982-4567-916e-4d2ec823f18d",
      "TaskStatusTypeId": "d591e1af-f182-4d4a-b1e1-889cc8e348f9",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "778906ae-583b-4ddd-a06e-40450f001889",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    },
    {
      "TaskStatusTypeTaskTypeId": "9e21f877-6ef9-4f11-b876-557828db3ce7",
      "CompanyId": "62912545-3982-4567-916e-4d2ec823f18d",
      "TaskStatusTypeId": "d591e1af-f182-4d4a-b1e1-889cc8e348f9",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "778906ae-583b-4ddd-a06e-40450f001889",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    }
  ],
  "Total": 1,
  "Message": "sample string 1"
}